Bug 1746777 (CVE-2019-15538) - CVE-2019-15538 kernel: denial of service in in xfs_setattr_nonsize in fs/xfs/xfs_iops.c
Summary: CVE-2019-15538 kernel: denial of service in in xfs_setattr_nonsize in fs/xfs/...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15538
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1746779 1804181
Blocks: 1746781
TreeView+ depends on / blocked
 
Reported: 2019-08-29 09:06 UTC by Dhananjay Arunesh
Modified: 2020-05-12 16:31 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the XFS file system in the Linux kernel. An acquired ILOCK was not freed/unlock when the call to xfs_qm_vop_chown_reserve fails and the lock is still held and can lead to denial to access for that device. This is primarily a local denial of service but could result in a remote denial of service if the XFS file system is exported as an NFS file system.
Clone Of:
Environment:
Last Closed: 2020-05-12 16:31:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2104 None None None 2020-05-12 15:12:17 UTC

Description Dhananjay Arunesh 2019-08-29 09:06:41 UTC
An issue was discovered in xfs_setattr_nonsize in fs/xfs/xfs_iops.c in the Linux kernel. XFS partially wedges when a chgrp fails on account of being out of disk quota. xfs_setattr_nonsize is failing to unlock the ILOCK after the xfs_qm_vop_chown_reserve call fails. This is primarily a local DoS attack vector, but it might result as well in remote DoS if the XFS filesystem is exported for instance via NFS.

Reference:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1fb254aa983bf190cfd685d40c64a480a9bafaee
https://github.com/torvalds/linux/commit/1fb254aa983bf190cfd685d40c64a480a9bafaee
https://lore.kernel.org/linux-xfs/20190823192433.GA8736@eldamar.local
https://lore.kernel.org/linux-xfs/20190823035528.GH1037422@magnolia/

Comment 1 Dhananjay Arunesh 2019-08-29 09:07:19 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1746779]

Comment 6 Eric Christensen 2020-03-02 21:37:35 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 11 errata-xmlrpc 2020-05-12 15:12:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2104 https://access.redhat.com/errata/RHSA-2020:2104

Comment 12 Product Security DevOps Team 2020-05-12 16:31:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15538


Note You need to log in before you can comment on or make changes to this bug.